Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
cart.php File Reference

Go to the source code of this file.

## Functions
| turnColumnsOnOff ( $rowName)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"
| $ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true"
| $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true" ? true : false
| $RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"
| $ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"
| $PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false
| $ShowExTaxColumn = $ini->variable( "eZTradeMain", "ShowExTaxColumn" ) == "enabled" ? true : false
| $ShowIncTaxColumn = $ini->variable( "eZTradeMain", "ShowIncTaxColumn" ) == "enabled" ? true : false
| $ShowExTaxTotal = $ini->variable( "eZTradeMain", "ShowExTaxTotal" ) == "enabled" ? true : false
| $ShowTaxBasis = $ini->variable( "eZTradeMain", "ShowTaxBasis" ) == "enabled" ? true : false
| $ColSpanSizeTotals = $ini->variable( "eZTradeMain", "ColSpanSizeTotals" )
if(isset( $ShopMore)) | $session =& eZSession::globalSession()
if(eZHTTPTool::getVar("ShippingTypeID")) | else
| $ShowCart = false
| $ShowSavingsColumn = false
if(isset( $DeleteSelected)) if((isset( $Action) && $Action=="Refresh")||isset( $DoCheckOut)) if(isset( $DoCheckOut)) | $user =& eZUser::currentUser()
| $cart = new eZCart()
| $cartBySession = $cart->getBySession( $session )
if(! $cartBySession) | $items = $cart->items( )
if(isset( $Action) && $Action=="AddToBasket") global | $t
if($user) | $locale = new eZLocale( $Language )
| $currency = new eZCurrency()
| $numberOfItems = 0
| $i = 0
| $vat =false
if($user) | $upscheck = $ini->variable( "eZTradeMain", "UPSXMLShipping" ) == 'enabled'?1:0
| $uspscheck = $ini->variable( "eZTradeMain", "USPSXMLShipping" ) == 'enabled'?1:0

## Function Documentation

## ◆ turnColumnsOnOff()

turnColumnsOnOff | ( |  | $rowName | ) |

Definition at line 401 of file cart.php.

References $ShowExTaxColumn, $ShowIncTaxColumn, $ShowSavingsColumn, and $t.

## Variable Documentation

## ◆ $cart

$cart = new eZCart()

Definition at line 193 of file cart.php.

## ◆ $cartBySession

$cartBySession = $cart->getBySession( $session )

Definition at line 194 of file cart.php.

## ◆ $ColSpanSizeTotals

$ColSpanSizeTotals = $ini->variable( "eZTradeMain", "ColSpanSizeTotals" )

Definition at line 50 of file cart.php.

## ◆ $currency

$currency = new eZCurrency()

Definition at line 447 of file cart.php.

## ◆ $i

$i = 0

Definition at line 450 of file cart.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 37 of file cart.php.

## ◆ $items

if (! $cartBySession) $items = $cart->items( )

Definition at line 213 of file cart.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 39 of file cart.php.

## ◆ $locale

if ( $user) $locale = new eZLocale( $Language )

Definition at line 446 of file cart.php.

## ◆ $numberOfItems

$numberOfItems = 0

Definition at line 449 of file cart.php.

## ◆ $PricesIncludeVAT

$PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" ) == "enabled" ? true : false

Definition at line 45 of file cart.php.

## ◆ $RequireQuantity

$RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"

Definition at line 43 of file cart.php.

## ◆ $session

if (isset($ShopMore)) $session =& eZSession::globalSession()

Definition at line 63 of file cart.php.

## ◆ $ShowCart

$ShowCart = false

Definition at line 72 of file cart.php.

Referenced by eZOrderConfirmation\sendMail().

## ◆ $ShowExTaxColumn

global $ShowExTaxColumn = $ini->variable( "eZTradeMain", "ShowExTaxColumn" ) == "enabled" ? true : false

Definition at line 46 of file cart.php.

Referenced by turnColumnsOnOff().

## ◆ $ShowExTaxTotal

$ShowExTaxTotal = $ini->variable( "eZTradeMain", "ShowExTaxTotal" ) == "enabled" ? true : false

Definition at line 48 of file cart.php.

## ◆ $ShowIncTaxColumn

global $ShowIncTaxColumn = $ini->variable( "eZTradeMain", "ShowIncTaxColumn" ) == "enabled" ? true : false

Definition at line 47 of file cart.php.

Referenced by turnColumnsOnOff().

## ◆ $ShowNamedQuantity

$ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true"

Definition at line 41 of file cart.php.

## ◆ $ShowOptionQuantity

$ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"

Definition at line 44 of file cart.php.

## ◆ $ShowPriceGroups

$ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true" ? true : false

Definition at line 42 of file cart.php.

## ◆ $ShowQuantity

$ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"

Definition at line 40 of file cart.php.

## ◆ $ShowSavingsColumn

global $ShowSavingsColumn = false

Definition at line 73 of file cart.php.

Referenced by eZOrderConfirmation\sendMail(), and turnColumnsOnOff().

## ◆ $ShowTaxBasis

$ShowTaxBasis = $ini->variable( "eZTradeMain", "ShowTaxBasis" ) == "enabled" ? true : false

Definition at line 49 of file cart.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
"kernel/eztrade/user/intl/", $Language, "cart.php" )
$Language
$Language
Definition: cart.php:39
$ini
$ini
Definition: cart.php:37
eZTemplate
Definition: eztemplate.php:107

Definition at line 353 of file cart.php.

Referenced by turnColumnsOnOff().

## ◆ $upscheck

if ( $user) $upscheck = $ini->variable( "eZTradeMain", "UPSXMLShipping" ) == 'enabled'?1:0

Definition at line 593 of file cart.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 191 of file cart.php.

## ◆ $uspscheck

$uspscheck = $ini->variable( "eZTradeMain", "USPSXMLShipping" ) == 'enabled'?1:0

Definition at line 594 of file cart.php.

## ◆ $vat

$vat =false

Definition at line 567 of file cart.php.

## ◆ else

if ($ShowCart==true) else

Initial value:
{
$currentTypeID[0] = "03"

Definition at line 67 of file cart.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.